﻿@model EmailViewModel

@{
    ViewData["Title"] = "_DetailsPartial";
}

<div class="content-wrapper">
    <h2>Details</h2>
    <textarea readonly style="background-color:#fcf8e3;">
        @if (Model.EmailBodyContent != null)
        {
            @Html.Raw(@Model.EmailBodyContent)
        }
    </textarea>

    @if (Model.Attachments.Count > 0)
    {
        foreach (var attachment in Model.Attachments)
        {
            <div><img src="/images/image.png" style="width:18px" />: @attachment.FileName, @attachment.Size Bytes</div>
        }
    }

    @if (Model.EmailStatusType == "NotReviewed")
    {
        <form asp-controller="AllEmails" asp-action="ChangeEmailToNewStatusAsync">
            <button id="New" type="button" class="btn btn-success alert-success" data-dismiss="modal">New</button>
        </form>
        <form asp-controller="AllEmails" asp-action="ChangeEmailToNotValidStatusAsync">
            <button id="NotValid" type="button" class="btn btn-danger alert-danger" data-dismiss="modal">NotValid</button>
        </form>

    }

    @if (Model.EmailStatusType == "NotValid" && User.IsInRole("Manager"))
    {
        <form asp-controller="AllEmails" asp-action="ChangeEmailToNotReviewedStatusAsync" data-dismiss="modal">
            <button id="NotReviewed" type="button" class="btn btn-warning alert-warning">Not Reviewed</button>
        </form>
    }

    @if (Model.EmailStatusType == "New")
    {
        <form asp-controller="AllEmails" asp-action="ChangeEmailToOpenStatusAsync" data-dismiss="modal">
            <button id="Open" type="button" class="btn btn-success alert-success">Open</button>
        </form>

        if (User.IsInRole("Manager"))
        {
            <form asp-controller="AllEmails" asp-action="ChangeEmailToNotReviewedStatusAsync" data-dismiss="modal">
                <button id="NotReviewed" type="button" class="btn btn-warning alert-warning">Not Reviewed</button>
            </form>
        }
    }

    @if (Model.EmailStatusType == "Open")
    {
        if (User.IsInRole("Manager"))
        {
            <form asp-controller="AllEmails" asp-action="ChangeEmailToNewStatusAsync">
                <button id="New" type="button" class="btn btn-success alert-success" data-dismiss="modal">New</button>
            </form>
        }

        <form asp-controller="AllEmails" asp-action="ChangeEmailToClosedStatusAsync">
            <button id="Closed" type="button" class="btn btn-danger alert-danger" data-dismiss="modal">Closed</button>
        </form>
    }

    @if (Model.EmailStatusType == "Closed" && User.IsInRole("Manager"))
    {
        <form asp-controller="AllEmails" asp-action="ChangeEmailToNewStatusAsync">
            <button id="New" type="button" class="btn btn-success alert-success" data-dismiss="modal">New</button>
        </form>
    }
</div>

<style>
    .content-wrapper textarea {
        width: 100%;
        height: calc(100vh - 320px);
        resize: none;
    }
</style>

<script>
    $(function () {
        $('#New').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/AllEmails/ChangeEmailToNewStatusAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });

    $(function () {
        $('#Open').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/AllEmails/ChangeEmailToOpenStatusAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });

    $(function () {
        $('#Closed').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/AllEmails/ChangeEmailToClosedStatusAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });

    $(function () {
        $('#NotReviewed').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/AllEmails/ChangeEmailToNotReviewedStatusAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });

    $(function () {
        $('#NotValid').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailId');

            $.post("/AllEmails/ChangeEmailToNotValidStatusAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });
</script>

